package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.ZBMapper;
import com.sa.ibiz.demo.demo.domain.ZB;
import com.sa.ibiz.demo.demo.service.ZBService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.ZBSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.OrgUserService;

/**
 * 实体[ZB] 服务对象接口实现
 */
@Service
public class ZBServiceImpl extends ServiceImplBase<ZBMapper, ZB> implements ZBService{

    @Autowired
    private OrgUserService orguserService;

    @Resource
    private ZBMapper zbMapper;


    @Override
    public boolean create(ZB et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(ZB et){
        this.beforeUpdate(et);
		this.zbMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(ZB et){
		return et.getZbid();  
    }

    @Override
    public boolean getDraft(ZB et)  {
    if((!StringUtils.isEmpty(et.getOrguserid())) && et.getOrguser() == null){
            try {
                et.setOrguser(orguserService.getById(et.getOrguserid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<ZB> listDefault(ZBSearchFilter filter) {
		return zbMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<ZB> searchDefault(ZBSearchFilter filter) {
		return zbMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return zbMapper.selectRow(sql);
    }

 }